jQuery("#list2").jqGrid({
    url:baseurl+'/admin.php/urls/showall',
    datatype: "json",
    mtype: 'POST',
    pgbuttons: false,
    pgtext:'',
    height: 'auto',
    colNames:['Link Name','Destination URL', 'Cloaked', 'Link ID', 'Status','Hits','Default','Notes','Visit','Links'],
    colModel:[ {name:'name',index:'name', width:80, editable:true, edittype: 'text',editoptions: { size: 20, maxlength: 50},editrules: {required: true},formoptions: {elmsuffix: "<a href='#' title='Give your link an identifiable name'><span class='ui-icon ui-icon-help' style='display:inline-block'></span></a> "}},
        {name:'url',index:'url', width:300, editable:true, edittype: 'text',editoptions: { size: 20, maxlength: 255,defaultValue: "http://"},editrules: {required: true,url: true },formoptions: {elmsuffix: "<a href='#' title='The url of the website to visit'><span class='ui-icon ui-icon-help' style='display:inline-block'></span></a> "}},
        {name:'cloaked',index:'cloaked', width:50, align:"center",editable:true, edittype: 'checkbox',formatter:cloakedFmatter, unformat:cloakedUnFormat, editoptions: { value:"Yes:No"}, formoptions: {elmsuffix: "<a href='#' title='Do you want a framed redirect?'><span class='ui-icon ui-icon-help' style='display:inline-block'></span></a> "}},
        {name:'linktxt',index:'linktxt', width:90, editable:true, edittype: 'text',editoptions: { size: 20, maxlength: 100},editrules: {required: true }, formoptions: {elmsuffix: "<a href='#' title='The \"Link ID\" is used after your domain or folder i.e YourDomain.com/ID'><span class='ui-icon ui-icon-help' style='display:inline-block'></span></a> "}},
        {name:'status',index:'status', width:60, align:"center", editable:true, edittype:"select",editoptions:{value:"Active:Active;Inactive:Inactive"},formoptions: {elmsuffix: "<a href='#' title='You can set any link to Active / Inactive'><span class='ui-icon ui-icon-help' style='display:inline-block'></span></a> "}},
        {name:'hits',index:'hits', width:40, align:"center",hidden: true, editable:true, edittype: 'text',editoptions: { size: 20, maxlength: 10, defaultValue: "0"},editrules: {required: true,number: true }, formoptions: {elmsuffix: "<a href='#' title='You can set starting hit count, Default is 0'><span class='ui-icon ui-icon-help' style='display:inline-block'></span></a> "}},
        {name:'default',index:'default', width:60, align:"center",editable:true, edittype: 'checkbox',editoptions: { value:"Yes:No"}, formoptions: {elmsuffix: "<a href='#' title='You can set this as your default link'><span class='ui-icon ui-icon-help' style='display:inline-block'></span></a> "}},
        {name:'descr',index:'descr', width:40, align:"center", editable:true, edittype: 'textarea',editoptions: { rows:"2",cols:"19"},editrules: {required: false }, formoptions: {elmsuffix: "<a href='#' title='Personal notes about this link'><span class='ui-icon ui-icon-help' style='display:inline-block'></span></a> "}, formatter:descrFmatter, unformat:descUnFormat},
        {name:'visit',index:'visit', width:90, align:"center", editable:false, formatter:shortlinkFmatter, cellattr: function(rowId, tv, rawObject, cm, rdata) {return 'title=""';}},
        {name:'links',index:'links', width:40, align:"center", editable:false, formatter:showlinkFmatter}],

    rowNum:20,
    pager: '#pager2',
    sortname: 'id',
    viewrecords: true,
    sortorder: "desc",
    editurl: baseurl+"/admin.php/urls/edit",
    caption:"&nbsp;",

    onCellSelect: function(rowid,iCol,cellcontent,e){
        if(iCol == 9){
        var n=cellcontent.split('"');
        var linktxt = n[1];
        var NewDialog = $('<div id="MenuDialog">\
            <p><b>Advanced</b><br><input type="text" size="50" value="'+baseurl+'/'+linktxt+'"</p>\
            <p><b>Standard</b><br><input type="text" size="50" value="'+baseurl+'/index.php/'+linktxt+'"</p>\
            <p><b>Basic</b><br><input type="text" size="50" value="'+baseurl+'/index.php?'+linktxt+'"</p>\
            <p>To copy a link click within a box then hit \'ctrl + a\' then \'ctrl + c\'</p>\
            Mac users can use \'cmd + a\' , \'cmd + c\' \
        </div>');
        NewDialog.dialog({
            modal: true,
            title: "Your Links",
            show: 'clip',
            hide: 'clip',
            width: 400,
            buttons: [

                {text: "Close", click: function() {$(this).dialog("close")}}
            ]
        });
        return false;
        }
    }
});

jQuery("#list2").jqGrid('navGrid', '#pager2', {add:true, view:false, edit:true, del:true, search:false,
        addtext: 'Add&nbsp;&nbsp;',
        edittext: 'Edit&nbsp;&nbsp;',
        deltext: 'Delete&nbsp;&nbsp;',
        refreshtext: 'Reload&nbsp;&nbsp;',
        edittitle: "Edit selected link",
        addtitle: "Add new link",
        deltitle: "Delete link"
    },
    {
        closeAfterEdit: true,
        editCaption: "Edit Link",
        afterSubmit: function(response, postdata){
            if (response.responseText == "") {
                return [true, response.responseText]
            }
            else {
                return [false, response.responseText]
            }
        }
    },
    {url:baseurl+'/admin.php/urls/add',
        closeAfterAdd: true,
        addCaption: "Add Link",
        afterSubmit: function(response, postdata){
            if (response.responseText == "") {
                return [true, response.responseText]
            }
            else {
                return [false, response.responseText]
            }
        }
    },
    {url:baseurl+'/admin.php/urls/delete',
        delCaption: "Delete Link",
        afterSubmit: function(response, postdata){
            if (response.responseText == "") {
                return [true, response.responseText]
            }
            else {
                return [false, response.responseText]
            }
        }
    },
    {},
    {});

function shortlinkFmatter (cellvalue, options, rowObject)
{
    var myarr = cellvalue.split(":");
    var siteurl = myarr[1];
    var linktxt = myarr[2];

    var shortlink = "<a target='_blank' href='"+siteurl+"/"+linktxt+"' title='Advanced Link'><span class='ui-icon ui-icon-star' style='display:inline-block'></span></a>  ";
    shortlink = shortlink+"<a target='_blank' href='"+siteurl+"/index.php/"+linktxt+"' title='Standard Link'><span class='ui-icon ui-icon-gear' style='display:inline-block'></span></a>  ";
    shortlink = shortlink+"<a target='_blank' href='"+siteurl+"/index.php?"+linktxt+"' title='Basic Link'><span class='ui-icon ui-icon-link' style='display:inline-block'></span></a>";
    return shortlink;
}


function descrFmatter (cellvalue, options, rowObject)
{
    var noteimg = "";
    if(cellvalue != "")
    {
        noteimg = "<span title='"+cellvalue+"' class='ui-icon ui-icon-note' style='display:inline-block'></span>";
    }
    return noteimg;
}

function descUnFormat (cellvalue, options, cell)
{
    var cellv = $(cell).html()
    var n=cellv.split('"');
    var ctxt = n[1]

    return ctxt;
}

function cloakedFmatter (cellvalue, options, rowObject)
{
    var noteimg = "";
    if(cellvalue != "")
    {
        if(cellvalue == "Yes")
        {
            cloakedimg = "<span title='"+cellvalue+"' class='ui-icon ui-icon-check' style='display:inline-block'></span>";
        } else {
            cloakedimg = "<span title='"+cellvalue+"' class='ui-icon ui-icon-close' style='display:inline-block'></span>";
        }

    }
    return cloakedimg;
}

function cloakedUnFormat (cellvalue, options, cell)
{
    var cellv = $(cell).html()
    var n=cellv.split('"');
    var ctxt = n[1]

    return ctxt;
}


function showlinkFmatter (cellvalue, options, rowObject)
{
    var noteimg = "";
    if(cellvalue != "")
    {
        noteimg = "<a alt='"+cellvalue+"' class='linktxtdialog' href='#'><span title='Click to show links' class='ui-icon ui-icon-clipboard' style='display:inline-block'></span></a>";
    }
    return noteimg;
}

$( document ).tooltip();
$( "#tabs" ).tabs();


